Subject: [PATCH net 0/4] tls: a few more fixes for async decrypt

From: Sabrina Dubroca <[email-masked]>
Date: Wed, 28 Feb 2024 23:43:56 +0100

The previous patchset [1] took care of "full async". This adds a few
fixes for cases where only part of the crypto operations go the async
route, found by extending my previous debug patch [2] to do N
synchronous operations followed by M asynchronous ops (with N and M
configurable).

[1] https://patchwork.kernel.org/project/netdevbpf/list/?series=823784&state=*
[2] https://lore.kernel.org/all/[email-masked]/

Sabrina Dubroca (4):
  tls: decrement decrypt_pending if no async completion will be called
  tls: fix peeking with sync+async decryption
  tls: separate no-async decryption request handling from async
  tls: fix use-after-free on failed backlog decryption

 net/tls/tls_sw.c | 40 +++++++++++++++++++++++++++++-----------
 1 file changed, 29 insertions(+), 11 deletions(-)

-- 
2.43.0